<h2>My Sandwich history</h2>

{% if meal %}
    <div class="row">
        <div class="col font-weight-bold">#</div>
        <div class="col font-weight-bold">Average rating</div>
        <div class="col font-weight-bold">Times eaten</div>
        <div class="col font-weight-bold">Baked</div>
        <div class="col font-weight-bold">Bread</div>
        <div class="col font-weight-bold">Size</div>
        <div class="col font-weight-bold">Taste</div>
        <div class="col font-weight-bold">Extras</div>
        <div class="col font-weight-bold">Vegetables</div>
        <div class="col font-weight-bold">Sauce</div>
    </div>

    {% for uniqueSandwich in combinedSandwiches %}
        <div class="row" data-toggle="collapse" aria-expanded="false" aria-controls="test{{ loop.index }}"
             data-target="#test{{ loop.index }}" style="cursor: pointer">
            <div class="col py-2">{{ loop.index }}</div>
            <div class="col py-2">{{ uniqueSandwich['averageRating'] }}</div>
            <div class="col py-2">{{ uniqueSandwich['timesEaten'] }}</div>
            {% for sandwich in uniqueSandwich %}
                {% if loop.first %}
                    <div class="col py-2">{{ sandwich.baked ? 'Yes' : 'No' }}</div>
                    <div class="col py-2">{{ sandwich.bread.name }}</div>
                    <div class="col py-2">{{ sandwich.size.size }}</div>
                    <div class="col py-2">{{ sandwich.taste.name }}</div>
                    <div class="col py-2">{{ sandwich.extras|displayManyMany('name') }}</div>
                    <div class="col py-2">{{ sandwich.vegetables|displayManyMany('name') }}</div>
                    <div class="col py-2">{{ sandwich.sauce.name }}</div>
                {% endif %}
            {% endfor %}
            <div class="col-12 collapse" id="test{{ loop.index }}">
                <div class="row">
                    <div class="col">
                        <table class="table table-sm table-striped">
                            <thead class="thead-light">
                            <tr>
                                <th style="width: 40px">#</th>
                                <th>Rating</th>
                                <th>Baked</th>
                                <th>Bread</th>
                                <th>Size</th>
                                <th>Taste</th>
                                <th>Extras</th>
                                <th>Vegetables</th>
                                <th>Sauce</th>
                                <th></th>
                            </tr>
                            </thead>
                            {% for sandwich in uniqueSandwich %}
                                {% if sandwich|isObject %}
                                    <tr>
                                        <td>{{ loop.index }}</td>
                                        <td>{{ sandwich.rating }}</td>
                                        <td>{{ sandwich.baked ? 'Yes' : 'No' }}</td>
                                        <td>{{ sandwich.bread.name }}</td>
                                        <td>{{ sandwich.size.size }}</td>
                                        <td>{{ sandwich.taste.name }}</td>
                                        <td>{{ sandwich.extras|displayManyMany('name') }}</td>
                                        <td>{{ sandwich.vegetables|displayManyMany('name') }}</td>
                                        <td>{{ sandwich.sauce.name }}</td>
                                        <td class="float-right">
                                            {% if not sandwich.rating %}
                                                <a class="btn btn-outline-primary btn-sm" href="{{ path('sandwich_rate', {'sandwich': sandwich.id, 'token': token}) }}">Rate</a>
                                            {% endif %}
                                        </td>
                                    </tr>
                                {% endif %}
                            {% endfor %}
                        </table>
                    </div>
                </div>
            </div>
        </div>
    {% endfor %}
{% endif %}